Bug 471149 - When Cloning a Bug, Contents of "Release Notes:" are not moved across
When Cloning a Bug, Contents of "Release Notes:" are not moved across
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 19:46 EST by Michael Hideo
Modified: 2008-11-21 14:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Test Release Notes
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 14:53:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hideo 2008-11-11 19:46:17 EST
Description of problem:

When a bug gets reported against a component, often a release is required. These ntoes are written in the release notes field. If the bug impacts documetnation, the bug is "cloned" with the component being the book the bug/release notes affects.

Currently the content in the release note is not moved across, requireing a manual cut and paste of the content for the book.

We need the release note content moved across when the bug is "cloned"

Cheers,
Mike
Comment 1 Noura El hawary 2008-11-12 00:43:07 EST
Hey Mike,

to be able to get the Release Notes field moved when cloning a bug we need to make that field available at bug entry form, currently we set that field to exist after bug creation "at existing bug reports only", so we will need to make it available at bug creation time/form. Is that okay with you?

Noura
Comment 2 David Lawrence 2008-11-12 11:06:59 EST
(In reply to comment #1)
> Hey Mike,
> 
> to be able to get the Release Notes field moved when cloning a bug we need to
> make that field available at bug entry form, currently we set that field to
> exist after bug creation "at existing bug reports only", so we will need to
> make it available at bug creation time/form. Is that okay with you?
> 
> Noura

Noura I think you also need to add a line to enter_bug.cgi as well to make sure it is prefilled in the bug form. Please double check that.
Comment 3 Noura El hawary 2008-11-13 19:50:06 EST
> Noura I think you also need to add a line to enter_bug.cgi as well to make sure
> it is prefilled in the bug form. Please double check that.

Hey Dave, I checked enter_bug.cgi and actually it has a code that deals with all custom fields that are editable on bug creation when bugs gets cloned as the following:

my @enter_bug_fields = grep { $_->enter_bug } Bugzilla->active_custom_fields;


Then:

    foreach my $field (@enter_bug_fields) {
        my $field_name = $field->name;
        $vars->{$field_name} = $cloned_bug->$field_name;
    }

so I guess we don't have to do any code changes for this bug. we only need to set the cf_release_notes field to be editable at bug creation time.

Noura
Comment 4 David Lawrence 2008-11-21 14:52:07 EST
I have changed the cf_release_notes field to be editable at bug creation time and will now clone this bug to test.
Comment 5 David Lawrence 2008-11-21 14:52:07 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Test Release Notes
Comment 6 David Lawrence 2008-11-21 14:53:13 EST
Ok, works now. Closing.

Note You need to log in before you can comment on or make changes to this bug.